FROM gradle:jdk11 AS build
COPY --chown=gradle:gradle . /home/gradle/src
WORKDIR /home/gradle/src
RUN gradle build --no-daemon

FROM openjdk:11-jre-slim

EXPOSE 8080

RUN mkdir /app

COPY --from=build /home/gradle/src/build/libs/mn-executor-*-all.jar /app/mn-executor.jar

ENTRYPOINT ["java","-jar","/app/mn-executor.jar"]
